// **********************************************************************
//
// Copyright (c) 1998
// Object-Oriented Concepts, Inc.
// Billerica, MA, USA
//
// Copyright (c) 1998
// Object-Oriented Concepts GmbH
// Ettlingen, Germany
//
// All Rights Reserved
//
// **********************************************************************

#ifndef OB_NATIVE_TYPES_H
#define OB_NATIVE_TYPES_H

//
// The translator generates a typedef for a native IDL type.  For a
// native type defined as follows:
//
// module M
// {
//     native N;
// };
//
// The translator will generate the following:
//
// namespace M
// {
//     typedef OBNative_M::N N;
// }
//
// We must then provide the definition of OBNative_M::N in this header file.
//

//
// Forward declarations
//
namespace PortableServer
{

class ServantBase;

} // End of namespace PortableServer


namespace OBNative_PortableServer
{

typedef PortableServer::ServantBase* Servant;

class ServantLocator
{
public:
    typedef void* Cookie;
};

} // End of namespace OBNative_PortableServer

#endif

